Unit AM06C_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc;

procedure AM06C(var A :Array of Complex; var B :Array of Complex;
                var C :Array of Complex; N :Integer; M :Integer);

implementation

procedure AM06C(var A :Array of Complex; var B :Array of Complex;
                var C :Array of Complex; N :Integer; M :Integer);
var
J,K :Integer;
S :Complex;
label
_1,_2;
begin
for K:=1 to M do
 begin
  S := Cmplx(0.0,0.E0);
  for J:=1 to N do
   begin
_1:
    S := AddC(S,MulC(A[J-1],B[(J-1)+(K-1)*N]));
   end;
_2:
  C[K-1] := S;
 end;
end;

end.
